# class AsnValue | An ASN.1 value. More...
Full name | `TelEngine::AsnValue`
Definition | `#include <libs/yasn/yateasn.h>`
Inherits | TelEngine::GenObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum ValType { INTEGER = 1, STRING = 2, OBJECT_ID = 3, IPADDRESS = 4, COUNTER = 5, TIMETICKS = 6, ARBITRARY = 7, BIG_COUNTER = 8, UNSIGNED_INTEGER = 9 }

#### Public Methods

- inline AsnValue ()
- inline AsnValue (const AsnValue& original)
- inline AsnValue (const String& value, int type = STRING)
- virtual inline ~AsnValue ()
- inline const String& getValue ()
- inline int type ()
- inline AsnValue& operator= ( AsnValue* val)
- inline AsnValue& operator= ( AsnValue val)
- inline void setValue (const String& data)
- inline void setType (int type)

## Detailed Description

Class wrapper for different types of ASN.1 values

enum ValType { INTEGER = 1, STRING = 2, OBJECT_ID = 3, IPADDRESS = 4, COUNTER = 5, TIMETICKS = 6, ARBITRARY = 7, BIG_COUNTER = 8, UNSIGNED_INTEGER = 9 } | ### ValType

Type of value

inline AsnValue () | ### AsnValue

Constructor

inline AsnValue (const AsnValue& original) | ### AsnValue

Copy constructor

Parameters:

original | Value object to copy

inline AsnValue (const String& value, int type = STRING) | ### AsnValue

Constructor

Parameters:

value | Object value
type | AsnValue type, default is String

inline ~AsnValue () | ### ~AsnValue

[virtual]

Destructor

inline const String& getValue () | ### getValue

Get the value in the form of a string

Returns: String containing the internal data

inline int type () | ### type

Get the type of the data so that we know how to interpret it

Returns: The type of the data

inline AsnValue& operator= ( AsnValue* val) | ### operator=

Assign operator

inline AsnValue& operator= ( AsnValue val) | ### operator=

Assign operator

inline void setValue (const String& data) | ### setValue

Set data

Parameters:

data | The data to which the internal data will be set

inline void setType (int type) | ### setType

Set data type

Parameters:

type | The type assigned

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.